PUT /api/projects/{id}/webhooks

Authentication

API Key (cookie: better-auth.session_token)

Path Parameters

id string required path
Example: "abc123"

Request Body

application/json
webhook_url string (uri) | null REQUIRED
webhook_events string[] REQUIRED
Array of:
webhooks_enabled boolean REQUIRED

Responses

200 Webhook config saved
application/json
webhook_url string (uri) | null REQUIRED
webhook_events string[] REQUIRED
Array of:
webhooks_enabled boolean REQUIRED
webhook_secret_preview string | null REQUIRED
401 Unauthenticated
404 Not found
curl -X PUT 'https://motioness.com/api/projects/abc123/webhooks' \  -H 'Content-Type: application/json' \  -d '{  "webhook_url": "https://example.com",  "webhook_events": [    "asset.queued"  ],  "webhooks_enabled": true}'
const response = await fetch('https://motioness.com/api/projects/abc123/webhooks', {  method: 'PUT',  headers: {      "Content-Type": "application/json"  },  body: JSON.stringify({    "webhook_url": "https://example.com",    "webhook_events": [      "asset.queued"    ],    "webhooks_enabled": true  })});const data = await response.json();console.log(data);
import requestsresponse = requests.put('https://motioness.com/api/projects/abc123/webhooks', json={  "webhook_url": "https://example.com",  "webhook_events": [    "asset.queued"  ],  "webhooks_enabled": true})print(response.json())
200 Response
{  "webhook_url": "<uri>",  "webhook_events": [    "asset.queued"  ],  "webhooks_enabled": true,  "webhook_secret_preview": "<string>"}
Ask a question... ⌘I